require "fileutils"
require 'action_view'
require 'sprockets/static_compiler'
require 'rake'
Dir["tasks/**/*.rake"].each { |ext| load ext } if defined?(Rake)

module Sprockets
  class StaticCompiler
    def compile_specific
      if @manifest && File.exist?("#{@manifest_path}/manifest.yml")
        manifest = YAML.load(File.read("#{@manifest_path}/manifest.yml"))
      else
        manifest = {}
      end
      env.each_logical_path(paths) do |logical_path|
        if asset = env.find_asset(logical_path)
          digest_path = write_asset(asset)
          manifest[asset.logical_path] = digest_path
          manifest[aliased_path_for(asset.logical_path)] = digest_path
        end
      end
      write_manifest(manifest) if @manifest
    end

  end
end
